<table class="table mt-5">
  <tbody>
  <tr>
    <td class="align-middle w-[256px] font-bold">Requirement satisfaction</td>
    <td class="align-middle w-[256px]">
      <ng-container *meetRequirement="RequirementNames.DEFAULT; else unsatisfiedRequirementMessageTemplate">
        <span class="text-success">Satisfied</span>
      </ng-container>
    </td>
    <td class="align-middle">
      <ng-container *meetRequirement="RequirementNames.DEFAULT; else satisfyRequirementButtonTemplate">
        <button class="btn btn-outline-danger" (click)="dissatisfyRequirement()"
        >
          Dissatisfy requirement
        </button>
      </ng-container>
    </td>
  </tr>
  </tbody>
</table>

<ng-template #unsatisfiedRequirementMessageTemplate>
  <span class="text-danger">Requirement is not satisfied</span>
</ng-template>

<ng-template #satisfyRequirementButtonTemplate>
  <button class="btn btn-outline-primary" (click)="satisfyRequirement()"
  >
    <span>Satisfy</span>
  </button>
</ng-template>
